Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • Sep 30 18:12
    twentyse7en commented #863
  • Sep 30 11:14
    uellue commented #793
  • Sep 30 11:00
    AnandBaburajan commented #793
  • Sep 30 10:59
    AnandBaburajan commented #793
  • Sep 30 10:40
    AnandBaburajan commented #793
  • Sep 30 10:25
    uellue commented #793
  • Sep 30 08:39
    uellue commented #863
  • Sep 30 08:30
    uellue commented #863
  • Sep 30 08:24
    uellue commented #870
  • Sep 30 07:54
    uellue commented #870
  • Sep 29 12:32
    uellue commented #878
  • Sep 28 12:22
    sk1p commented #793
  • Sep 28 07:38
    FENGSHAN95 commented #878
  • Sep 25 10:52
    AnandBaburajan commented #793
  • Sep 24 12:02
    sk1p labeled #870
  • Sep 24 12:02
    sk1p labeled #870
  • Sep 24 11:53
    uellue commented #878
  • Sep 22 14:38
    FENGSHAN95 synchronize #878
  • Sep 22 10:09
    FENGSHAN95 commented #878
  • Sep 22 08:50
    uellue commented #764
Alexander Clausen
@sk1p
@AnandBaburajan I uploaded some DM files to the GSoC sample data folder I shared with you before, if you put those into data/dm the DM tests should run
Anand Baburajan
@AnandBaburajan
Thanks.
Alexander Clausen
@sk1p
@AnandBaburajan also uploading EMPAD data, for SER I'll ask a colleague if I can give you some data he recorded
Alexander Clausen
@sk1p
@AnandBaburajan SER data is uploading
Anand Baburajan
@AnandBaburajan
@sk1p Got the mails too, thanks :+1:
Sayandip Halder
@sayandip18
I'm a little busy with my university classes and assignments, I'll be make all the necessary changes in my PR Thursday onwards
Alexander Clausen
@sk1p
Hey @sayandip18 , thanks for letting us know!
jhgee
@jhgee

Hi!
I just wanted to upgrad one of our libertem installations to the current master branch version and am running into a version conflict when starting the server :-(

Anand Baburajan
@AnandBaburajan
@jhgee Hi! Can you share the error/conflict message you're getting? Thanks!
jhgee
@jhgee
>libertem-server
Traceback (most recent call last):
  File "C:\Users\End-user\.conda\envs\libertem\lib\site-packages\pkg_resources\__init__.py", line 584, in _build_master
    ws.require(__requires__)
  File "C:\Users\End-user\.conda\envs\libertem\lib\site-packages\pkg_resources\__init__.py", line 901, in require
    needed = self.resolve(parse_requirements(requirements))
  File "C:\Users\End-user\.conda\envs\libertem\lib\site-packages\pkg_resources\__init__.py", line 792, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (cloudpickle 1.4.1 (c:\users\end-user\.conda\envs\libertem\lib\site-packages), Requirement.parse('cloudpickle>=1.5.0'), {'distributed'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\End-user\.conda\envs\libertem\Scripts\libertem-server-script.py", line 33, in <module>
    sys.exit(load_entry_point('libertem', 'console_scripts', 'libertem-server')())

...
  File "C:\Users\End-user\.conda\envs\libertem\lib\site-packages\pkg_resources\__init__.py", line 3271, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "C:\Users\End-user\.conda\envs\libertem\lib\site-packages\pkg_resources\__init__.py", line 586, in _build_master
    return cls._build_from_requirements(__requires__)
  File "C:\Users\End-user\.conda\envs\libertem\lib\site-packages\pkg_resources\__init__.py", line 599, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "C:\Users\End-user\.conda\envs\libertem\lib\site-packages\pkg_resources\__init__.py", line 792, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (cloudpickle 1.4.1 (c:\users\end-user\.conda\envs\libertem\lib\site-packages), Requirement.parse('cloudpickle>=1.5.0'), {'distributed'})
@AnandBaburajan Sure! I just had problems with the formatting and a too long message...
Anand Baburajan
@AnandBaburajan
@jhgee It looks like cloudpickle needs to be updated. You can pip install -e . in the LiberTEM folder to do so.
jhgee
@jhgee
this is exactly what I tried. I can give it another try
>conda list
# packages in environment at C:\Users\End-user\.conda\envs\libertem:
#
# Name                    Version                   Build  Channel
attrs                     19.3.0                   pypi_0    pypi
backcall                  0.1.0                    pypi_0    pypi
bleach                    3.1.5                    pypi_0    pypi
ca-certificates           2020.1.1                      0
certifi                   2020.4.5.1               py37_0
click                     7.1.2                    pypi_0    pypi
cloudpickle               1.4.1                    pypi_0    pypi

...
Anand Baburajan
@AnandBaburajan
@jhgee Can you also try updating cloudpickle in your environment?
jhgee
@jhgee
ok, I manually upraded it and it works now. >pip update cloudpickle
@AnandBaburajan thanks!
jhgee
@jhgee
Another question. Would you suggest cuda 10.2 instead of the latest cuda 11?
Anand Baburajan
@AnandBaburajan
@jhgee Maybe @sk1p or @uellue can answer that. I haven't used a GPU yet unfortunately :-)
jhgee
@jhgee
ok, I went for the 10.2 since the 11 version still seems to be only supported in the pre-release version of cupy
Alexander Clausen
@sk1p
@jhgee yeah, cuda 11 support in cupy is quite new, cuda 10 seems to be a good call
jhgee
@jhgee
image.png
Hi all, I am trying to open a .mrc stack of images in LiberTEM. ImageJ is able to properly open the file format but LiberTEM seems to have some problems (the same as the manufacturer's software has...).
image.png
Alexander Clausen
@sk1p
@jhgee interesting, can you share the dataset info modal? Can be shown by clicking on the "i" next to the dataset name
jhgee
@jhgee
image.png
I tried a few dtypes but couldn't find a suitable one...
btw: I converted the dataset using imagej to a 8bit tiff. with which dtype would you suggest to import it
Alexander Clausen
@sk1p
Sadly can't completely read that screenshot(s), it's only shown in a small resized version. But I think I understand the problem, the .mrc format probably has a file header and/or frame headers, so probably we need explicit support for the format. What version of MRC is that, MRC2014? Can you open it via https://pypi.org/project/mrcfile/ ? If so, I think I could try and add support in LiberTEM quite easily
jhgee
@jhgee
> mrcfile.validate(filename)
Extended header type is undefined or unrecognised: exttyp = ''
Error in data statistics: maximum is 8.0 but the value in the header is 6.0
Error in data statistics: mean is 0.3709259331226349 but the value in the header is 0.32520198822021484
False
Alexander Clausen
@sk1p
Hm, can you maybe provide a sample file? What instrument was the data taken with? Possibly it's an older version of that format
jhgee
@jhgee
It's taken with the DE-Server from Directelectron. I sent you an example file ;-)
Alexander Clausen
@sk1p
Thanks! I'll have a look, but will probably only get to it some time next week
jhgee
@jhgee
Thanks for taking care!
Alexander Clausen
@sk1p
No problem!
Dhritiman Bharadwaj
@DhritimanBhara6_twitter
We are based in India (UTC+5:30) and are generally active during normal working hours.
Sherjeel Shabih
@shabihsherjeel
Hello everyone. Did anyone run Libertem behind an Nginx proxy?
The web client isn't showing the server config after receiving it. I'm not familiar with Tornado and I can't seem to find the client code that relates to this.
Any help will be appreciated
Alexander Clausen
@sk1p
@shabihsherjeel I didn't yet try to run behind nginx, but it should be possible. Are there any clues in the developer tools of your browser? I can imagine at least two possible problems in this configuration, related to the websocket connection: 1) nginx may need additional configuration to proxy over the websocket connection, and 2) if you are using TLS, the client may try to connect to the wrong port, as the ws:// protocol is hardcoded in the client
Sayandip Halder
@sayandip18
docs run-test-pre: PYTHONHASHSEED='492'
docs run-test: commands[0] | python 'C:\Users\SANDIP\LiberTEM/scripts/build-authors-contributors'
docs run-test: commands[1] | sphinx-autobuild -b html 'C:\Users\SANDIP\LiberTEM/docs/source' 'C:\Users\SANDIP\LiberTEM/docs/build/html' -p 8008
usage: sphinx-autobuild.EXE [-h] [--port PORT] [--host HOST]
                            [--re-ignore RE_IGNORE] [--ignore IGNORE]
                            [--no-initial] [--open-browser] [--delay DELAY]
                            [--watch DIR] [--pre-build COMMAND] [--version]
                            sourcedir outdir [filenames [filenames ...]]
sphinx-autobuild.EXE: error: unrecognized arguments: -p 8008
Has anyone ever faced this while running tox -e docs or tox -e docs -r?
Alexander Clausen
@sk1p
@sayandip18 that's new, let me try to reproduce this (on Linux)
@sayandip18 There's been a release of sphinx-autobuild a few days ago, it's possible they broke it...
@sayandip18 works for me, tox is installing v0.7.1 - not 2020.9.1, hmm
Alexander Clausen
@sk1p
Ah, that's a problem of my local environment, now I can reproduce
@sayandip18 should be fixed with LiberTEM/LiberTEM#872
Sayandip Halder
@sayandip18
Awesome!
Sayandip Halder
@sayandip18
I tried running libertem-server and this error occured:
File "C:\Users\SANDIP\anaconda3\envs\libertem\lib\site-packages\pkg_resources\__init__.py", line 792, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (cloudpickle 1.3.0 (c:\users\sandip\anaconda3\envs\libertem\lib\site-packages), Requirement.parse('cloudpickle>=1.5.0'), {'distributed'})
Alexander Clausen
@sk1p
@sayandip18 updating cloudpickle via pip install -U cloudpickle should fix this error
Sayandip Halder
@sayandip18
@sk1p Thanks! It worked. conda install -c anaconda cloudpickle didn't work for some reason.
Alexander Clausen
@sk1p
@sayandip18 yeah, packages installed via conda don't seem to integrate well into the classic package management of python